IF OBJECT_ID('PRC_FILIAL_GRUPO_PROCESSAMENTO') IS NULL
begin
CREATE TABLE [dbo].[PRC_FILIAL_GRUPO_PROCESSAMENTO](
	[CD_CTR_GRUPO_PROC] [int] IDENTITY(1,1) NOT NULL,
	[DS_GRUPO_PROC] [varchar](150) NOT NULL,
	[DT_CAD] [datetime] NOT NULL,
	[CD_USU] [int] NOT NULL,
	[TIPO_PROC] [int] NOT NULL,
	[NM_JOB_GRUPO_PROC] [varchar](1800) NOT NULL,
	[NM_STEP_GRUPO_PROC] [varchar](1800) NOT NULL,
	[NM_PROCEDURE_GRUPO_PROC] [varchar](1800) NOT NULL,	
 CONSTRAINT [PK_PRC_FILIAL_GRUPO_PROCESSAMENTO] PRIMARY KEY CLUSTERED 
(
	[CD_CTR_GRUPO_PROC] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY],
 CONSTRAINT [IX_PRC_FILIAL_GRUPO_PROCESSAMENTO] UNIQUE NONCLUSTERED 
(
	[DS_GRUPO_PROC] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

ALTER TABLE [dbo].[PRC_FILIAL_GRUPO_PROCESSAMENTO] ADD  CONSTRAINT [DF_PRC_FILIAL_GRUPO_PROCESSAMENTO_DS_GRUPO_PROC]  DEFAULT ('') FOR [DS_GRUPO_PROC]

ALTER TABLE [dbo].[PRC_FILIAL_GRUPO_PROCESSAMENTO] ADD  CONSTRAINT [DF_PRC_FILIAL_GRUPO_PROCESSAMENTO_CD_USU]  DEFAULT ((0)) FOR [CD_USU]

ALTER TABLE [dbo].[PRC_FILIAL_GRUPO_PROCESSAMENTO] ADD  CONSTRAINT [DF_PRC_FILIAL_GRUPO_PROCESSAMENTO_TIPO_PROC]  DEFAULT ((0)) FOR [TIPO_PROC]

ALTER TABLE [dbo].[PRC_FILIAL_GRUPO_PROCESSAMENTO] ADD  CONSTRAINT [DF_PRC_FILIAL_GRUPO_PROCESSAMENTO_NM_JOB_GRUPO_PROC]  DEFAULT ('') FOR [NM_JOB_GRUPO_PROC]

ALTER TABLE [dbo].[PRC_FILIAL_GRUPO_PROCESSAMENTO] ADD  CONSTRAINT [DF_PRC_FILIAL_GRUPO_PROCESSAMENTO_NM_STEP_GRUPO_PROC]  DEFAULT ('') FOR [NM_STEP_GRUPO_PROC]

ALTER TABLE [dbo].[PRC_FILIAL_GRUPO_PROCESSAMENTO] ADD  CONSTRAINT [DF_PRC_FILIAL_GRUPO_PROCESSAMENTO_NM_PROCEDURE_GRUPO_PROC]  DEFAULT ('') FOR [NM_PROCEDURE_GRUPO_PROC]

end

